html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}

.basisbtn {
    display: inline-block;
    text-decoration: none;
    background-color: #28a745;
    color: white !important;
    border: none;
    margin-top: 5px;
    padding: 10px 20px;
    font-size: 1rem;
    border-radius: 5px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
    cursor: pointer;
    transition: background-color 0.3s ease, box-shadow 0.3s ease;
}

.basisbtn:hover {
    filter: brightness(90%);
    box-shadow: 0 6px 10px rgba(0, 0, 0, 0.3);
}

.dangerbtn {
    background-color: red;
    color: white !important;
    border: none;
}

.infobtn {
    background-color: blue;
    color: white !important;
    border: none;
}

.changebtn {
    background-color: green;
    color: white !important;
    border: none;
}

.addbtn {
    background-color: green;
    color: white !important;
    border: none;
}

.cancelbtn {
    background-color: blue;
    color: white !important;
    border: none;
}

.textfield {
    width: 100%;
    max-width: 400px;
    padding: 12px 16px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 1rem;
    background-color: #f9f9f9;
    box-shadow: inset 0 1px 3px rgba(0,0,0,0.1);
    transition: all 0.3s ease;
}

.textfield:focus {
    outline: none;
    border-color: #7cc8a3;
    background-color: #fff;
    box-shadow: 0 6px 10px rgba(0, 0, 0, 0.3);
}

mark {
    padding: 0;
    margin: 0;
    line-height: inherit;
    background-color: yellow; /* optional override */
}